# Class CountReads

java.lang.Object
org.snpeff.coverage.CountReads

public class CountReads extends Object
Count how many reads map (from many SAM/BAM files) onto markers

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`SHOW_EVERY`

## Constructor Summary

Constructors
Constructor
Description
`CountReads(String fileName, SnpEffectPredictor snpEffectPredictor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMarkerType(Marker marker, String type)`
`void`
`count()`
Count markers from a file
`CountByKey<Marker>`
`getCountBases()`
`int`
`getCountExceptions()`
`CountByKey<Marker>`
`getCountReads()`
`int`
`getCountTotalReads()`
`CountByType`
`getCountTypes()`
`ArrayList<CoverageByType>`
`getCoverageByExons()`
`CoverageByType`
`getCoverageByType()`
`MarkerTypes`
`getMarkerTypes()`
`int`
`getReadLengthAvg()`
Average read length
`int`
`getReadLengthCount()`
`long`
`getReadLengthSum()`
`void`
`setMarkerTypes(MarkerTypes markerTypes)`
`void`
`setVerbose(boolean verbose)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHOW_EVERY

public static int SHOW_EVERY

## Constructor Details

### CountReads

public CountReads(String fileName, SnpEffectPredictor snpEffectPredictor)

## Method Details

### addMarkerType

public void addMarkerType(Marker marker, String type)

### count

public void count()
Count markers from a file

### getCountBases

public CountByKey<Marker> getCountBases()

### getCountExceptions

public int getCountExceptions()

### getCountReads

public CountByKey<Marker> getCountReads()

### getCountTotalReads

public int getCountTotalReads()

### getCountTypes

public CountByType getCountTypes()

### getCoverageByExons

public ArrayList<CoverageByType> getCoverageByExons()

### getCoverageByType

public CoverageByType getCoverageByType()

### getMarkerTypes

public MarkerTypes getMarkerTypes()

### getReadLengthAvg

public int getReadLengthAvg()
Average read length

Returns:

### getReadLengthCount

public int getReadLengthCount()

### getReadLengthSum

public long getReadLengthSum()

### setMarkerTypes

public void setMarkerTypes(MarkerTypes markerTypes)

### setVerbose

public void setVerbose(boolean verbose)